v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/upload/uploadfile
Uploads kit list file. Rights: DesignerKitListUpload.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : schema
Type:
objectLogo upload request details.
Show Source
-
contentType: string
File content type.Example:
image/png -
fileName(required): string
File nameExample:
File1001 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test, active, or training -
name(required): string
Random name for bucket where file uploadedExample:
1A73BC4FE4954AE4AC50DDF9729F80BE
Example:
{
"name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
"mode":"design",
"fileName":"study-logo.png",
"contentType":"image/png"
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : FileUploadResponse
Type:
objectTitle:
FileUploadResponseContains file upload response.
Show Source
-
fileId: string
Title:
File IDField ID.Example:7074779C195A4BF2B5EB0CEFB34BD47F
Examples
400 Response
Duplicate kit list title
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID
Invalid file identifier
Invalid file identifier
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples